MPD: IcyMetaDataParser Class Reference

MPD 0.20.18

Public Member Functions
IcyMetaDataParser Class Reference

`#include <IcyMetaDataParser.hxx>`

## Public Member Functions
| IcyMetaDataParser ()
| ~IcyMetaDataParser ()
void | Start (size_t _data_size)
| Initialize an enabled icy_metadata object with the specified data_size (from the icy-metaint HTTP response header). More...
void | Reset ()
| Resets the icy_metadata. More...
bool | IsDefined () const
| Checks whether the icy_metadata object is enabled. More...
size_t | Data (size_t length)
| Evaluates data. More...
size_t | Meta (const void *data, size_t length)
| Reads metadata from the stream. More...
size_t | ParseInPlace (void *data, size_t length)
| Parse data and eliminate metadata. More...
Tag * | ReadTag ()

## Detailed Description

Definition at line 27 of file IcyMetaDataParser.hxx.

## Constructor & Destructor Documentation

## ◆ IcyMetaDataParser()

IcyMetaDataParser::IcyMetaDataParser | ( |  | ) |
| inline

Definition at line 36 of file IcyMetaDataParser.hxx.

## ◆ ~IcyMetaDataParser()

IcyMetaDataParser::~IcyMetaDataParser | ( |  | ) |
| inline

Definition at line 37 of file IcyMetaDataParser.hxx.

## Member Function Documentation

## ◆ Data()

size_t IcyMetaDataParser::Data | ( | size_t | length | ) |

Evaluates data.

Returns the number of bytes of normal data which can be read by the caller, but not more than "length". If the return value is smaller than "length", the caller should invoke icy_meta().

## ◆ IsDefined()

bool IcyMetaDataParser::IsDefined | ( |  | ) | const
| inline

Checks whether the icy_metadata object is enabled.

Definition at line 59 of file IcyMetaDataParser.hxx.

## ◆ Meta()

size_t IcyMetaDataParser::Meta | ( | const void * | data,
|  | size_t | length
| ) |  |

Reads metadata from the stream.

Returns the number of bytes consumed. If the return value is smaller than "length", the caller should invoke icy_data().

## ◆ ParseInPlace()

size_t IcyMetaDataParser::ParseInPlace | ( | void * | data,
|  | size_t | length
| ) |  |

Parse data and eliminate metadata.

Returns
  the number of data bytes remaining in the buffer

## ◆ ReadTag()

Tag* IcyMetaDataParser::ReadTag | ( |  | ) |
| inline

Definition at line 85 of file IcyMetaDataParser.hxx.

## ◆ Reset()

void IcyMetaDataParser::Reset | ( |  | ) |

Resets the icy_metadata.

Call this after rewinding the stream.

## ◆ Start()

void IcyMetaDataParser::Start | ( | size_t | _data_size | ) |
| inline

Initialize an enabled icy_metadata object with the specified data_size (from the icy-metaint HTTP response header).

Definition at line 45 of file IcyMetaDataParser.hxx.

The documentation for this class was generated from the following file:

- IcyMetaDataParser.hxx